package com.rayfocus.aws.common;

import com.amazonaws.auth.AWSCredentials;
import com.amazonaws.auth.AWSCredentialsProvider;

public class AwsAuth {

	private AwsAuth() {

	}

	public static AWSCredentials getProfileCredentials() {
		return CredentialsProvider.provideFor("default");
	}

	public static AWSCredentials getProfileCredentials(String profile) {
		return CredentialsProvider.provideFor(profile);
	}

	public static AWSCredentialsProvider getCredentialsProvider(String profile) {
		return CredentialsProvider.newProfileCredentialsProvider(profile);
	}
}
