package com.rayfocus.aws.common;

import com.amazonaws.auth.AWSCredentials;
import com.amazonaws.auth.AWSCredentialsProvider;
import com.amazonaws.auth.profile.ProfileCredentialsProvider;

public class CredentialsProvider {

	private static AWSCredentials credentials = null;

	private CredentialsProvider() {

	}

	public static AWSCredentials provideFor(String profile) {
		credentials = new ProfileCredentialsProvider(profile).getCredentials();
		return credentials;
	}
	
	public static AWSCredentialsProvider newProfileCredentialsProvider(String profile) {
		return new ProfileCredentialsProvider(profile);
	}
}
